Summary:	An indexing and searching API
Summary(pl.UTF-8):	API do indeksowania i wyszukiwania
Name:		clucene-core
Version:	2.3.3.4
Release:	4
License:	LGPL or Apache v2.0
Group:		Libraries
Source0:	http://downloads.sourceforge.net/clucene/%{name}-%{version}.tar.gz
# Source0-md5:	48d647fbd8ef8889e5a7f422c1bfda94
Patch0:		%{name}-2.3.3.4-install_contribs_lib.patch
Patch1:		remove-boost-headers.patch
URL:		http://clucene.sourceforge.net/
BuildRequires:	cmake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CLucene is a C++ port of Lucene. It is a high-performance,
full-featured text search engine written in C++.

%description -l pl.UTF-8
CLucene jest portem Lucene na C++. Jest to wysokowydajny silnik do
wyszukiwania tekstu napisany w C++.

%package devel
Summary:	Header files for CLucene library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki CLucene
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for CLucene library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki CLucene.

%package static
Summary:	Static CLucene library
Summary(pl.UTF-8):	Statyczna biblioteka CLucene
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static CLucene library.

%description static -l pl.UTF-8
Statyczna biblioteka CLucene.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
install -d build
cd build
%cmake \
	-DBUILD_STATIC_LIBRARIES=ON \
	-DBUILD_CONTRIBS=ON \
	-DBUILD_CONTRIBS_LIB=ON \
	..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

# remove boost headers, they are not needed nor used here
%{__rm} -r $RPM_BUILD_ROOT%{_includedir}/CLucene/ext

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libclucene-contribs-lib.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libclucene-contribs-lib.so.1
%attr(755,root,root) %{_libdir}/libclucene-core.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libclucene-core.so.1
%attr(755,root,root) %{_libdir}/libclucene-shared.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libclucene-shared.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libclucene-contribs-lib.so
%attr(755,root,root) %{_libdir}/libclucene-core.so
%attr(755,root,root) %{_libdir}/libclucene-shared.so
%{_includedir}/CLucene.h
%{_includedir}/CLucene
%{_libdir}/CLuceneConfig.cmake
%{_pkgconfigdir}/libclucene-core.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libclucene-core-static.a
%{_libdir}/libclucene-shared-static.a
%changelog
* Fri Feb 27 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/clucene-core.git;a=log;h=master

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> 55ecba7
- x32 rebuild
- release 4 (by relup.sh)

* Tue Jul 16 2013 Jan Rękorajski <baggins@pld-linux.org> fc7064a
- added forgotten buildroot
- rel 3

* Tue Jul 16 2013 Jan Rękorajski <baggins@pld-linux.org> 99316d3
- removed boost headers and their references, see
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=715474 for details
- rel 2

* Thu Aug 09 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ebd4cf8
- up to 2.3.3.4 (now the question is if we need to have clucene-core 0.9 packaged in parallel?)

* Tue Dec 13 2011 Caleb Maclennan <caleb@alerque.com> 2458afe
- Fixed download URL, upstream project re-organized

* Fri May 28 2010 Caleb Maclennan <caleb@alerque.com> 286b269
- Up to 0.9.21b

* Tue Jul 21 2009 shadzik <shadzik@pld-linux.org> b46ffd4
- 0.9.21

* Tue May 20 2008 Paweł Sikora <pluto@pld-linux.org> ec5d3fc
- oops, wron file, revert.

* Tue May 20 2008 Paweł Sikora <pluto@pld-linux.org> c432119
- release 3 for rebuild with new libltdl.

* Mon Mar 24 2008 shadzik <shadzik@pld-linux.org> a7ba392
- rel 2

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> afd2cbc
- License details, include COPYING (with more details, not license contents)

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> ca0ed66
- fixed braino: package library not a ghost
- .la moved to -devel

* Mon Mar 24 2008 shadzik <shadzik@pld-linux.org> ac5980b
- 0.9.20
- ghost symlink

* Wed Feb 06 2008 shadzik <shadzik@pld-linux.org> 00fc9b3
- .so goes to -devel subpackage
- rel 2

* Wed Mar 14 2007 Jakub Bogusz <qboosh@pld-linux.org> 225c4cb
- BR+R libstdc++-devel

* Wed Mar 07 2007 deejay1 <deejay1@pld-linux.org> bc0dc01
- initial revision

